﻿@model IEnumerable<ProjectUni.Models.Videos>

@{
    ViewBag.Title = "VideoDetail";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>VideoDetail</h2>

<p>
    @Html.ActionLink("Back to List", "Index")
</p>
<table class="table">
    <tr>
        @*<th>
            @Html.DisplayNameFor(model => model.topics.TName)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        @*<th>
            @Html.DisplayNameFor(model => model.URL)
        </th>*@
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.topics.TName)
        </td>*@
        <td>
            <a href="@item.URL">@item.Name</a>
        </td>
        @*<td>
            @Html.DisplayFor(modelItem => item.URL)
        </td>*@
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.V_ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.V_ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.V_ID })
        </td>
    </tr>
}

</table>
